Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentitynodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentitynodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for an Entity Node is the Entity name.

Retrieve the first Entity declaration in the "DOCTYPE" section of the XML file and check the string returned by the "getNodeName()" method. It should be equal to "ent1".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 45 of file nodeentitynodename.java.

## Constructor & Destructor Documentation

nodeentitynodename::nodeentitynodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeentitynodename.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeentitynodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file nodeentitynodename.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentitynodename";
    00069    }

void nodeentitynodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file nodeentitynodename.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(nodeentitynodename.class,args);
    00072    }

void nodeentitynodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeentitynodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap testName;
    00057       Node entityNode;
    00058       String entityName;
    00059       doc = load("staff");
    00060       docType = doc.getDoctype();
    00061       testName = docType.getEntities();
    00062       entityNode = testName.getNamedItem("ent1");
    00063       entityName = entityNode.getNodeName();
    00064       assertEquals("nodeEntityNodeNameAssert1","ent1",entityName);
    00065
    00066    }

The documentation for this class was generated from the following file:

- nodeentitynodename.java